summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Felix Pfeifer <pfeifer[dot]felix[at]googlemail[dot]com>2018-01-10 16:47:25 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-01-10 23:55:51 +0700
commita9f3b28d152a6d684c8857b87ec0a1c717c20d30 (patch)
treeaffd29e516cd3005e05da3c97ed4f6e79df1ae23 /academic
parent0d2c8963af9970e4af9f80f055450247b621b939 (diff)
downloadslackbuilds-a9f3b28d152a6d684c8857b87ec0a1c717c20d30.tar.gz
slackbuilds-a9f3b28d152a6d684c8857b87ec0a1c717c20d30.tar.xz
academic/pcb: Updated for version 4.0.2.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/pcb/pcb.SlackBuild30
-rw-r--r--academic/pcb/pcb.info6
2 files changed, 27 insertions, 9 deletions
diff --git a/academic/pcb/pcb.SlackBuild b/academic/pcb/pcb.SlackBuild
index 8319405e08..4088a26fad 100644
--- a/academic/pcb/pcb.SlackBuild
+++ b/academic/pcb/pcb.SlackBuild
@@ -2,16 +2,34 @@
# Slackware build script for pcb
-# Written by Felix Pfeifer (pfeifer [dot] felix [at] googlemail [dot] com)
+# Copyright 2018 Felix Pfeifer Oberoderwitz
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=pcb
-VERSION=${VERSION:-20110918}
+VERSION=${VERSION:-4.0.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -22,8 +40,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -36,7 +54,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
diff --git a/academic/pcb/pcb.info b/academic/pcb/pcb.info
index 7398263525..e8f9056a67 100644
--- a/academic/pcb/pcb.info
+++ b/academic/pcb/pcb.info
@@ -1,8 +1,8 @@
PRGNAM="pcb"
-VERSION="20110918"
+VERSION="4.0.2"
HOMEPAGE="http://pcb.gpleda.org/"
-DOWNLOAD="http://downloads.sourceforge.net/pcb/pcb-20110918.tar.gz"
-MD5SUM="54bbc997eeb22b85cf21fed54cb8e181"
+DOWNLOAD="http://downloads.sourceforge.net/pcb/pcb-4.0.2.tar.gz"
+MD5SUM="fac82393e527e1d0b6d429f9b584c2e6"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="gtkglext"